Bug 248268 - Failure to authenticate users with LDAP
Summary: Failure to authenticate users with LDAP
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ejabberd   
(Show other bugs)
Version: 7
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jeffrey C. Ollie
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-14 19:19 UTC by Graham Cole
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: 1.1.3-6.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-08 15:34:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch which makes LDAP auth work again (500 bytes, patch)
2007-07-14 19:19 UTC, Graham Cole
no flags Details | Diff

Description Graham Cole 2007-07-14 19:19:55 UTC
Description of problem:
When configured to use the LDAP backend for authentication, ejabberd fails to
authenticate users.

Version-Release number of selected component (if applicable):
1.1.3-1.fc7

How reproducible:
Every time.

Steps to Reproduce:
1. install ejabberd
2. configure to use LDAP backend
3. attempt to connect to jabber server with a valid user/password
  
Actual results:
Authentication fails

Expected results:
Authentication succeeds and user is logged in to jabber server 

Additional info:
Problem is resolved when attached patch is applied (taken from upstream VCS
https://forge.process-one.net/browse/ejabberd/trunk/src/eldap/eldap.erl?r1=621&r2=680)

Comment 1 Graham Cole 2007-07-14 19:19:55 UTC
Created attachment 159271 [details]
Patch which makes LDAP auth work again

Comment 2 Fedora Update System 2007-07-31 22:51:43 UTC
ejabberd-1.1.3-6.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2007-08-08 15:34:30 UTC
ejabberd-1.1.3-6.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.